/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base;


import com.tabajara.base.tables.Arduino;
import com.tabajara.base.tables.Arduinoatuador;
import com.tabajara.base.tables.Arduinocontrole;
import com.tabajara.base.tables.Arduinosensor;
import com.tabajara.base.tables.Atuador;
import com.tabajara.base.tables.Controle;
import com.tabajara.base.tables.Controlegrpacesso;
import com.tabajara.base.tables.Criacao;
import com.tabajara.base.tables.Empresa;
import com.tabajara.base.tables.Funcionario;
import com.tabajara.base.tables.Grpacesso;
import com.tabajara.base.tables.Hisatuacao;
import com.tabajara.base.tables.Hispropriedades;
import com.tabajara.base.tables.Horarepeticao;
import com.tabajara.base.tables.Sensor;
import com.tabajara.base.tables.Sensorhorarepeticao;
import com.tabajara.base.tables.Sensorrepeticao;
import com.tabajara.base.tables.Tanque;
import com.tabajara.base.tables.Telefones;
import com.tabajara.base.tables.Tipoatuador;
import com.tabajara.base.tables.Tiporepeticao;
import com.tabajara.base.tables.Tiposensor;
import com.tabajara.base.tables.Usuarios;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import javax.annotation.Generated;

import org.jooq.Catalog;
import org.jooq.Sequence;
import org.jooq.Table;
import org.jooq.impl.SchemaImpl;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Public extends SchemaImpl {

    private static final long serialVersionUID = 1490155644;

    /**
     * The reference instance of <code>public</code>
     */
    public static final Public PUBLIC = new Public();

    /**
     * The table <code>public.arduino</code>.
     */
    public final Arduino ARDUINO = com.tabajara.base.tables.Arduino.ARDUINO;

    /**
     * The table <code>public.arduinoatuador</code>.
     */
    public final Arduinoatuador ARDUINOATUADOR = com.tabajara.base.tables.Arduinoatuador.ARDUINOATUADOR;

    /**
     * The table <code>public.arduinocontrole</code>.
     */
    public final Arduinocontrole ARDUINOCONTROLE = com.tabajara.base.tables.Arduinocontrole.ARDUINOCONTROLE;

    /**
     * The table <code>public.arduinosensor</code>.
     */
    public final Arduinosensor ARDUINOSENSOR = com.tabajara.base.tables.Arduinosensor.ARDUINOSENSOR;

    /**
     * The table <code>public.atuador</code>.
     */
    public final Atuador ATUADOR = com.tabajara.base.tables.Atuador.ATUADOR;

    /**
     * The table <code>public.controle</code>.
     */
    public final Controle CONTROLE = com.tabajara.base.tables.Controle.CONTROLE;

    /**
     * The table <code>public.controlegrpacesso</code>.
     */
    public final Controlegrpacesso CONTROLEGRPACESSO = com.tabajara.base.tables.Controlegrpacesso.CONTROLEGRPACESSO;

    /**
     * The table <code>public.criacao</code>.
     */
    public final Criacao CRIACAO = com.tabajara.base.tables.Criacao.CRIACAO;

    /**
     * The table <code>public.empresa</code>.
     */
    public final Empresa EMPRESA = com.tabajara.base.tables.Empresa.EMPRESA;

    /**
     * The table <code>public.funcionario</code>.
     */
    public final Funcionario FUNCIONARIO = com.tabajara.base.tables.Funcionario.FUNCIONARIO;

    /**
     * The table <code>public.grpacesso</code>.
     */
    public final Grpacesso GRPACESSO = com.tabajara.base.tables.Grpacesso.GRPACESSO;

    /**
     * The table <code>public.hisatuacao</code>.
     */
    public final Hisatuacao HISATUACAO = com.tabajara.base.tables.Hisatuacao.HISATUACAO;

    /**
     * The table <code>public.hispropriedades</code>.
     */
    public final Hispropriedades HISPROPRIEDADES = com.tabajara.base.tables.Hispropriedades.HISPROPRIEDADES;

    /**
     * The table <code>public.horarepeticao</code>.
     */
    public final Horarepeticao HORAREPETICAO = com.tabajara.base.tables.Horarepeticao.HORAREPETICAO;

    /**
     * The table <code>public.sensor</code>.
     */
    public final Sensor SENSOR = com.tabajara.base.tables.Sensor.SENSOR;

    /**
     * The table <code>public.sensorhorarepeticao</code>.
     */
    public final Sensorhorarepeticao SENSORHORAREPETICAO = com.tabajara.base.tables.Sensorhorarepeticao.SENSORHORAREPETICAO;

    /**
     * The table <code>public.sensorrepeticao</code>.
     */
    public final Sensorrepeticao SENSORREPETICAO = com.tabajara.base.tables.Sensorrepeticao.SENSORREPETICAO;

    /**
     * The table <code>public.tanque</code>.
     */
    public final Tanque TANQUE = com.tabajara.base.tables.Tanque.TANQUE;

    /**
     * The table <code>public.telefones</code>.
     */
    public final Telefones TELEFONES = com.tabajara.base.tables.Telefones.TELEFONES;

    /**
     * The table <code>public.tipoatuador</code>.
     */
    public final Tipoatuador TIPOATUADOR = com.tabajara.base.tables.Tipoatuador.TIPOATUADOR;

    /**
     * The table <code>public.tiporepeticao</code>.
     */
    public final Tiporepeticao TIPOREPETICAO = com.tabajara.base.tables.Tiporepeticao.TIPOREPETICAO;

    /**
     * The table <code>public.tiposensor</code>.
     */
    public final Tiposensor TIPOSENSOR = com.tabajara.base.tables.Tiposensor.TIPOSENSOR;

    /**
     * The table <code>public.usuarios</code>.
     */
    public final Usuarios USUARIOS = com.tabajara.base.tables.Usuarios.USUARIOS;

    /**
     * No further instances allowed
     */
    private Public() {
        super("public", null);
    }


    /**
     * {@inheritDoc}
     */
    @Override
    public Catalog getCatalog() {
        return DefaultCatalog.DEFAULT_CATALOG;
    }

    @Override
    public final List<Sequence<?>> getSequences() {
        List result = new ArrayList();
        result.addAll(getSequences0());
        return result;
    }

    private final List<Sequence<?>> getSequences0() {
        return Arrays.<Sequence<?>>asList(
            Sequences.ARDUINO_ARDID_SEQ,
            Sequences.ARDUINOATUADOR_ARDSENID_SEQ,
            Sequences.ARDUINOCONTROLE_ARDCONTID_SEQ,
            Sequences.ARDUINOSENSOR_ARDSENID_SEQ,
            Sequences.ATUADOR_ATUID_SEQ,
            Sequences.CONTROLE_CONID_SEQ,
            Sequences.CONTROLEGRPACESSO_CONGRPID_SEQ,
            Sequences.CRIACAO_CRIAID_SEQ,
            Sequences.EMPRESA_EMPID_SEQ,
            Sequences.GRPACESSO_GRPID_SEQ,
            Sequences.HISATUACAO_HISTATUAID_SEQ,
            Sequences.HISPROPRIEDADES_HISPOPTID_SEQ,
            Sequences.HORAREPETICAO_HORID_SEQ,
            Sequences.SENSOR_SENID_SEQ,
            Sequences.SENSORHORAREPETICAO_SENHORID_SEQ,
            Sequences.SENSORREPETICAO_SENREPID_SEQ,
            Sequences.TANQUE_TANID_SEQ,
            Sequences.TELEFONES_TELID_SEQ,
            Sequences.TIPOATUADOR_TIPATUID_SEQ,
            Sequences.TIPOREPETICAO_TIPREPID_SEQ,
            Sequences.TIPOSENSOR_TIPSENID_SEQ,
            Sequences.USUARIOS_USUID_SEQ);
    }

    @Override
    public final List<Table<?>> getTables() {
        List result = new ArrayList();
        result.addAll(getTables0());
        return result;
    }

    private final List<Table<?>> getTables0() {
        return Arrays.<Table<?>>asList(
            Arduino.ARDUINO,
            Arduinoatuador.ARDUINOATUADOR,
            Arduinocontrole.ARDUINOCONTROLE,
            Arduinosensor.ARDUINOSENSOR,
            Atuador.ATUADOR,
            Controle.CONTROLE,
            Controlegrpacesso.CONTROLEGRPACESSO,
            Criacao.CRIACAO,
            Empresa.EMPRESA,
            Funcionario.FUNCIONARIO,
            Grpacesso.GRPACESSO,
            Hisatuacao.HISATUACAO,
            Hispropriedades.HISPROPRIEDADES,
            Horarepeticao.HORAREPETICAO,
            Sensor.SENSOR,
            Sensorhorarepeticao.SENSORHORAREPETICAO,
            Sensorrepeticao.SENSORREPETICAO,
            Tanque.TANQUE,
            Telefones.TELEFONES,
            Tipoatuador.TIPOATUADOR,
            Tiporepeticao.TIPOREPETICAO,
            Tiposensor.TIPOSENSOR,
            Usuarios.USUARIOS);
    }
}
